Bug 809430 - Glance Diablo->Essex DB upgrade issues
Glance Diablo->Essex DB upgrade issues
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: openstack-glance (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mark McLoughlin
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-03 07:00 EDT by Mark McLoughlin
Modified: 2013-01-17 04:38 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-17 04:38:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark McLoughlin 2012-04-03 07:00:17 EDT
To update a glance database from Diablo -> Essex, you need to:

  1) version control the DB:

    $> glance-manage version_control

  2) update the packages to Essex

  3) Upgrade the DB:

    $> glance-manage upgrade

However, https://code.launchpad.net/bugs/966242 prevents (1) from working and https://code.launchpad.net/bugs/966243 prevents (3) from working

Both fixes have been backported to stable/diablo and we should include them in our F-16 packages:

  http://review.openstack.org/6077
  http://review.openstack.org/6111
Comment 1 Fedora Update System 2012-04-04 07:35:29 EDT
openstack-glance-2011.3.1-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/openstack-glance-2011.3.1-4.fc16
Comment 2 Fedora Update System 2012-04-06 17:31:50 EDT
Package openstack-glance-2011.3.1-4.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openstack-glance-2011.3.1-4.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-5430/openstack-glance-2011.3.1-4.fc16
then log in and leave karma (feedback).
Comment 3 Fedora End Of Life 2013-01-16 21:07:27 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.